classdef BinningMode < uint32
  % BinningMode
  %   What kind of binning to do
  %

  enumeration
    NORMAL (0) % Normal binning, a BxB grid averaged to a single pixel
    SMART (1) % Smart binning, take into account the standard deviation around a chosen pixel. Similar to local means but reduces the image size
  end
end
