function ret_val = configModeCameraConfig(camera, config_mode)
  % configModeCameraConfig
  %   Get the camera config associated with the config mode
  %
  % Inputs:
  %   camera - Camera - Camera
  %   config_mode - ConfigMode - Config mode
  %
  % Output:
  %   ret_val - CameraConfig - Camera Config
  %

  ret_val = tof.mex('tof_config_mode_camera_config', camera.get_object_ptr(), uint32(config_mode));
  ret_val = tof.CameraConfig(ret_val);
end

